/*
 * This file is part of jSpeed.
 *
 * jSpeed is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * jSpeed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with jSpeed.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef THEME_H
#define THEME_H

#include "widgetscreen.h"

class QString;
class Reader;
class ThemeScreen;

class Theme : public WidgetScreen
{
    Q_OBJECT

public:
    Theme(QWidget* parent = 0);
    ~Theme();
    bool load();
    bool portraitEnabled() const;
    bool landscapeEnabled() const;
    QString const& error() const;
    static QString getThemeDir();
    static QString const& getThemeSuffix();

public slots:
    virtual void reArrange();
    virtual void flip();

private:
    bool read();
    void connectSignals(ThemeScreen* screen);
    int portraitId_;
    int landscapeId_;
    Reader* reader_;
    QString error_;
    ThemeScreen* portrait_;
    ThemeScreen* landscape_;
    bool portraitMode_;

};

#endif
